Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class ResponderID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.ResponderID

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class ResponderID
extends ASN1Object
implements ASN1Choice

Constructor Summary
`ResponderID(ASN1OctetString value)`
`ResponderID(X500Name value)`

Method Summary
`static ResponderID` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponderID` | `getInstance(java.lang.Object obj)`
`byte[]` | `getKeyHash()`
`X500Name` | `getName()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponderID

    public ResponderID(ASN1OctetString value)

### ResponderID

    public ResponderID(X500Name value)

Method Detail

### getInstance

    public static ResponderID getInstance(java.lang.Object obj)

### getInstance

    public static ResponderID getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getKeyHash

    public byte[] getKeyHash()

### getName

    public X500Name getName()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. ResponderID ::= CHOICE { byName [1] Name, byKey [2] KeyHash }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD